Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.model
Interface PortletState

public interface PortletState

Interface `PortletState` represents the current state of a given portlet instance for the user it is associated with. This state aggregates the user and group personalizations for this portlet as well as the original definition. If a PortletState object is been retrieved from within a custom jsp tag that extends the `RenderBaseTag` class then it is safe to assume that entitlement and visibility checks have already occurred.

Method Summary
`String` | `getCurrentWebflowNamespace()` Method `getCurrentWebflowNamespace` returns the current namespace being used by this portlet.
`String` | `getDisplayName()` Method `getDisplayName` returns the display name of this portlet.
`PlaceholderIdentifier` | `getPlaceholderIdentifier()` Method `getPlaceholderIdentifier` retrieves an identifier for the placeholder that this portlet instance is currently situated within.
`int` | `getPlaceholderIndex()` Method `getPlaceholderIndex` retrieves an index representing an ordering for this portlet within the placeholder that is specified by the `getPlaceholderIdentifier` method.
`PortletIdentifier` | `getPortletIdentifier()` Method `getPortletIdentifier` retrieves an identifier representing the portlet definition that this portlet is an instance of.
`String` | `getUrl(int urlType)` Method `getUrl` retrieves a url associated with this portlet.
`String` | `getWebflowNamespace()` Method `getWebflowNamespace` retrieves the (optional) webflow namespace associated with this portlet.
`boolean` | `isEditable()` Method `isEditable` determines whether this portlet currently has the 'editable' attribute set for this user.
`boolean` | `isFloatable()` Method `isFloatable` determines whether this portlet currently has the 'floatable' attribute set for this user.
`boolean` | `isHelpable()` Method `isHelpable` determines whether this portlet currently has the 'helpable' attribute set for this user.
`boolean` | `isMaximizable()` Method `isMaximizable` determines whether this portlet currently has the 'maximizable' attribute set for this user.
`boolean` | `isMinimizable()` Method `isMinimizable` determines whether this portlet currently has the 'minimizable' attribute set for this user.
`boolean` | `isMinimized()` Method `isMinimized` determines whether this portlet is currently in the 'minimized' state for this user.
`boolean` | `isRemovable()` Method `isRemovable` determines whether this portlet currently has the 'removable' attribute set for this user.
`void` | `setCurrentWebflowNamespace(String currentNS)` Method `setCurrentWebflowNamespace` returns the current namespace being used by this portlet.
`void` | `setMinimized(boolean minimized)` Method `setMinimized` sets whether this portlet is currently minimized.
`void` | `setUrl(int type, String url)` Webflow can set URLs on Portlets, specifically the content URL.

Method Detail

### getPortletIdentifier

    public PortletIdentifier getPortletIdentifier()

  Method `getPortletIdentifier` retrieves an identifier representing the portlet definition that this portlet is an instance of.

  Returns:
    A value of type `PortletIdentifier` representing the portlet definition that this portlet is an instance of

### getPlaceholderIdentifier

    public PlaceholderIdentifier getPlaceholderIdentifier()

  Method `getPlaceholderIdentifier` retrieves an identifier for the placeholder that this portlet instance is currently situated within. This data is personalized to the associated user at user scope.

  Returns:
    A value of type `PlaceholderIdentifier` representing the placeholder that this portlet instance is currently located within.

### getPlaceholderIndex

    public int getPlaceholderIndex()

  Method `getPlaceholderIndex` retrieves an index representing an ordering for this portlet within the placeholder that is specified by the `getPlaceholderIdentifier` method. The index is expected to start at 1 with 0 representing an unspecified index.

  Returns:
    A value of primitive type `int` representing index of this portlet within the specified placeholder.

### getUrl

    public String getUrl(int urlType)

  Method `getUrl` retrieves a url associated with this portlet. The default set of url types recognised are defined in the `Portlet` interface as follows: `Portlet.URL_CONTENT` `Portlet.URL_HEADER` `Portlet.URL_FOOTER` `Portlet.URL_ALTERNATE_HEADER` `Portlet.URL_ALTERNATE_FOOTER` `Portlet.URL_TITLEBAR` `Portlet.URL_BANNER` `Portlet.URL_EDIT` `Portlet.URL_HELP` `Portlet.URL_ICON` `Portlet.URL_MAXIMIZE`

  Returns:
    A value of type `String` representing the url specified for the type supplied.

### setUrl

    public void setUrl(int type,
                       String url)

  Webflow can set URLs on Portlets, specifically the content URL. This allows a portlet to have its URLs updated by an outside source in preparation for rendering. The default set of url types recognised are defined in the `Portlet` interface as follows: `Portlet.URL_CONTENT` `Portlet.URL_HEADER` `Portlet.URL_FOOTER` `Portlet.URL_ALTERNATE_HEADER` `Portlet.URL_ALTERNATE_FOOTER` `Portlet.URL_TITLEBAR` `Portlet.URL_BANNER` `Portlet.URL_EDIT` `Portlet.URL_HELP` `Portlet.URL_ICON` `Portlet.URL_MAXIMIZE`

  Parameters:
    `type` - A parameter of type `int`used to specify the type of url required.``
    `url` - The URL to set in for the corresponding URL type.

### getWebflowNamespace

    public String getWebflowNamespace()

  Method `getWebflowNamespace` retrieves the (optional) webflow namespace associated with this portlet.

  Returns:
    A value of type `String` representing the webflow namespace associated with this portlet.

### getCurrentWebflowNamespace

    public String getCurrentWebflowNamespace()

  Method `getCurrentWebflowNamespace` returns the current namespace being used by this portlet.

  Returns:
    A value of type `String` representing the current namespace being used by this portlet.

### setCurrentWebflowNamespace

    public void setCurrentWebflowNamespace(String currentNS)

  Method `setCurrentWebflowNamespace` returns the current namespace being used by this portlet.

  Parameters:
    `currentNS` - The name of the current namespace. This should be set by the PortletEventProcessor.

### isMinimized

    public boolean isMinimized()

  Method `isMinimized` determines whether this portlet is currently in the 'minimized' state for this user.

  Returns:
    A value of primitive type `boolean` representing whether this portlet is in the 'minimized' state for this user.

### isFloatable

    public boolean isFloatable()

  Method `isFloatable` determines whether this portlet currently has the 'floatable' attribute set for this user.

  Returns:
    A value of type `boolean` representing whether this portlet has the 'floatable' attribute set for this user.

### isMinimizable

    public boolean isMinimizable()

  Method `isMinimizable` determines whether this portlet currently has the 'minimizable' attribute set for this user.

  Returns:
    A value of type `boolean` representing whether this portlet has the 'minimizable' attribute set for this user.

### isHelpable

    public boolean isHelpable()

  Method `isHelpable` determines whether this portlet currently has the 'helpable' attribute set for this user.

  Returns:
    A value of type `boolean` representing whether this portlet has the 'helpable' attribute set for this user.

### isMaximizable

    public boolean isMaximizable()

  Method `isMaximizable` determines whether this portlet currently has the 'maximizable' attribute set for this user.

  Returns:
    A value of type `boolean` representing whether this portlet has the 'maximizable' attribute set for this user.

### isEditable

    public boolean isEditable()

  Method `isEditable` determines whether this portlet currently has the 'editable' attribute set for this user.

  Returns:
    A value of type `boolean` representing whether this portlet has the 'editable' attribute set for this user.

### isRemovable

    public boolean isRemovable()

  Method `isRemovable` determines whether this portlet currently has the 'removable' attribute set for this user.

  Returns:
    A value of type `boolean` representing whether this portlet has the 'removable' attribute set for this user.

### setMinimized

    public void setMinimized(boolean minimized)

  Method `setMinimized` sets whether this portlet is currently minimized. The method is used by rendering to test this value in lieu of having to go back to the PortalManager to get the minimized value from the database.

  Parameters:
    `minimized` - the boolean minimized state for this portlet.

### getDisplayName

    public String getDisplayName()

  Method `getDisplayName` returns the display name of this portlet.

  Returns:
    A value of type `String` representing the display name of this portlet.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved